Package org.kapott.hbci.protocol.factory

## Class DEGFactory

- java.lang.Object
- - org.kapott.hbci.tools.ObjectFactory
  - - org.kapott.hbci.protocol.factory.DEGFactory

    public class DEGFactory
    extends ObjectFactory

### Field Summary

### Fields inherited from class org.kapott.hbci.tools.ObjectFactory

`currentPoolSize, freeObjects, usedObjects`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`DEG` `createDEG​(java.lang.String type, java.lang.String name, java.lang.String path, char predelim, int idx, java.lang.StringBuffer res, int fullResLen, org.w3c.dom.Document syntax, java.util.Hashtable<java.lang.String,​java.lang.String> predefs, java.util.Hashtable<java.lang.String,​java.lang.String> valids)`
`DEG` `createDEG​(java.lang.String type, java.lang.String name, java.lang.String path, int idx, org.w3c.dom.Document syntax)`
`static DEGFactory` `getInstance()`
`void` `unuseObject​(java.lang.Object o)`

### Methods inherited from class org.kapott.hbci.tools.ObjectFactory

`addToFreePool, addToUsedPool, getFreeObject, getFreeObjects, getUsedObjects, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getInstance

    public static DEGFactory getInstance()

#### createDEG

    public DEG createDEG​(java.lang.String type,
                         java.lang.String name,
                         java.lang.String path,
                         char predelim,
                         int idx,
                         java.lang.StringBuffer res,
                         int fullResLen,
                         org.w3c.dom.Document syntax,
                         java.util.Hashtable<java.lang.String,​java.lang.String> predefs,
                         java.util.Hashtable<java.lang.String,​java.lang.String> valids)

#### createDEG

    public DEG createDEG​(java.lang.String type,
                         java.lang.String name,
                         java.lang.String path,
                         int idx,
                         org.w3c.dom.Document syntax)

#### unuseObject

    public void unuseObject​(java.lang.Object o)

Overrides:
  `unuseObject` in class `ObjectFactory`